import React from "react";
import { storiesOf } from "@storybook/react";
import { withKnobs, text, boolean as _boolean, select } from "@storybook/addon-knobs";
import { action } from "@storybook/addon-actions";
import ButterBar from "../ButterBar";
var typeOptions = {
  "bad-news": "bad-news",
  brand: "brand",
  "good-news": "good-news",
  warning: "warning"
};
var stories = storiesOf("Experimental|ButterBar", module);
stories.addDecorator(withKnobs).addDecorator(function (story) {
  return React.createElement("div", {
    id: "root-preview"
  }, story());
});
stories.add("ButterBar states", function () {
  return React.createElement(ButterBar, {
    alignment: select("alignment", {
      center: "center",
      left: "left"
    }, "center"),
    isDismissible: _boolean("isDismissible", false),
    testSection: "butterbar-foo",
    type: select("type", typeOptions, "warning"),
    onDismiss: action("butterbar dismissed")
  }, text("content", "Hello! This is a butter bar."));
});